# Uses of Interface
org.apache.cxf.interceptor.InterceptorProvider

Packages that use InterceptorProvider
Package
Description
org.apache.cxf
org.apache.cxf.binding
org.apache.cxf.bus.extension
org.apache.cxf.bus.spring
org.apache.cxf.databinding
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.feature
org.apache.cxf.feature.transform
org.apache.cxf.feature.validation
org.apache.cxf.interceptor
org.apache.cxf.interceptor.security
org.apache.cxf.service
org.apache.cxf.transport.common.gzip
org.apache.cxf.validation
org.apache.cxf.ws.addressing

- ## Uses of InterceptorProvider in org.apache.cxf

  Subinterfaces of InterceptorProvider in org.apache.cxf
  Modifier and Type
  Interface
  Description
  `interface`
  `Bus`
  The Bus is the central place in CXF.

- ## Uses of InterceptorProvider in org.apache.cxf.binding

  Subinterfaces of InterceptorProvider in org.apache.cxf.binding
  Modifier and Type
  Interface
  Description
  `interface`
  `Binding`
  A Binding provides interceptors and message creation logic for a specific protocol binding.

- ## Uses of InterceptorProvider in org.apache.cxf.bus.extension

  Classes in org.apache.cxf.bus.extension that implement InterceptorProvider
  Modifier and Type
  Class
  Description
  `class`
  `ExtensionManagerBus`
  This bus uses CXF's built in extension manager to load components (as opposed to using the Spring bus implementation).

- ## Uses of InterceptorProvider in org.apache.cxf.bus.spring

  Classes in org.apache.cxf.bus.spring that implement InterceptorProvider
  Modifier and Type
  Class
  Description
  `static class`
  `BusDefinitionParser.BusConfig`
  `class`
  `SpringBus`

- ## Uses of InterceptorProvider in org.apache.cxf.databinding

  Classes in org.apache.cxf.databinding that implement InterceptorProvider
  Modifier and Type
  Class
  Description
  `class`
  `AbstractInterceptorProvidingDataBinding`

- ## Uses of InterceptorProvider in org.apache.cxf.databinding.stax

  Classes in org.apache.cxf.databinding.stax that implement InterceptorProvider
  Modifier and Type
  Class
  Description
  `class`
  `StaxDataBinding`
  A simple databinding implementation which reads and writes Source objects.

- ## Uses of InterceptorProvider in org.apache.cxf.endpoint

  Subinterfaces of InterceptorProvider in org.apache.cxf.endpoint
  Modifier and Type
  Interface
  Description
  `interface`
  `Client`
  `interface`
  `Endpoint`
  Represents an endpoint that receives messages.
  Classes in org.apache.cxf.endpoint that implement InterceptorProvider
  Modifier and Type
  Class
  Description
  `class`
  `AbstractEndpointFactory`
  `class`
  `ClientImpl`
  `class`
  `EndpointImpl`

- ## Uses of InterceptorProvider in org.apache.cxf.feature

  Methods in org.apache.cxf.feature with parameters of type InterceptorProvider
  Modifier and Type
  Method
  Description
  `void`
  AbstractFeature.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `default void`
  AbstractPortableFeature.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  FastInfosetFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  LoggingFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  StaxTransformFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `default void`
  AbstractPortableFeature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  DelegatingFeature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  Feature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  WrappedFeature.`initialize(InterceptorProvider interceptorProvider, Bus bus)`
  `protected void`
  AbstractFeature.`initializeProvider(InterceptorProvider provider, Bus bus)`
  `protected void`
  DelegatingFeature.`initializeProvider(InterceptorProvider interceptorProvider, Bus bus)`

- ## Uses of InterceptorProvider in org.apache.cxf.feature.transform

  Methods in org.apache.cxf.feature.transform with parameters of type InterceptorProvider
  Modifier and Type
  Method
  Description
  `void`
  XSLTFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`

- ## Uses of InterceptorProvider in org.apache.cxf.feature.validation

  Methods in org.apache.cxf.feature.validation with parameters of type InterceptorProvider
  Modifier and Type
  Method
  Description
  `void`
  SchemaValidationFeature.Portable.`doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`

- ## Uses of InterceptorProvider in org.apache.cxf.interceptor

  Classes in org.apache.cxf.interceptor that implement InterceptorProvider
  Modifier and Type
  Class
  Description
  `class`
  `AbstractAttributedInterceptorProvider`
  `class`
  `AbstractBasicInterceptorProvider`

- ## Uses of InterceptorProvider in org.apache.cxf.interceptor.security

  Methods in org.apache.cxf.interceptor.security with parameters of type InterceptorProvider
  Modifier and Type
  Method
  Description
  `void`
  JAASAuthenticationFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`

- ## Uses of InterceptorProvider in org.apache.cxf.service

  Subinterfaces of InterceptorProvider in org.apache.cxf.service
  Modifier and Type
  Interface
  Description
  `interface`
  `Service`
  Classes in org.apache.cxf.service that implement InterceptorProvider
  Modifier and Type
  Class
  Description
  `class`
  `ServiceImpl`

- ## Uses of InterceptorProvider in org.apache.cxf.transport.common.gzip

  Methods in org.apache.cxf.transport.common.gzip with parameters of type InterceptorProvider
  Modifier and Type
  Method
  Description
  `void`
  GZIPFeature.Portable.`doInitializeProvider(InterceptorProvider provider, Bus bus)`

- ## Uses of InterceptorProvider in org.apache.cxf.validation

  Methods in org.apache.cxf.validation with parameters of type InterceptorProvider
  Modifier and Type
  Method
  Description
  `void`
  ClientBeanValidationFeature.`addInterceptor(InterceptorProvider interceptorProvider, ClientBeanValidationOutInterceptor out)`
  `protected void`
  ClientBeanValidationFeature.Portable.`addInterceptor(InterceptorProvider interceptorProvider, ClientBeanValidationOutInterceptor out)`
  `void`
  BeanValidationFeature.Portable.`doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  ClientBeanValidationFeature.Portable.`doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`

- ## Uses of InterceptorProvider in org.apache.cxf.ws.addressing

  Methods in org.apache.cxf.ws.addressing with parameters of type InterceptorProvider
  Modifier and Type
  Method
  Description
  `protected void`
  WSAddressingFeature.`initializeProvider(InterceptorProvider provider, Bus bus)`
  `void`
  WSAddressingFeature.WSAddressingFeatureApplier.`initializeProvider(WSAddressingFeature feature, InterceptorProvider provider, Bus bus)`